

/*******************************************************************************
 * Tda PrivateAccount reprezentuje objekty - bankovn ty
 * nesouc informace o momentlnm zstatku na tu.
 * 
 * et je schopen pevdt penze na jin et.
 * 
 * @author    Tom Pitner
 * @version   1.00, 10.8.2005
 */
public class PrivateAccount extends Account {

    // zstatek na tu je poddn

    // vlastnk tu
    private Person owner;

    /***************************************************************************
     * Konstruktor s nastavenm vlastnka a potenho zstatku
     */
    public PrivateAccount(Person owner, double balance) {
        super(balance);
        this.owner = owner;
    }
    
    /***************************************************************************
     * Konstruktor bez nastaven potenho zstatku, bude 0
     */
    public PrivateAccount(Person owner) {
        // jako prvn pkaz sm volat jin konstruktor
        this(owner, 0.0);
    }
    
    // Metody Nastav a zjistit zstatek jsou poddny
    // pidn na et a pevod rovn 

    /***************************************************************************
     * Vypi informace (vlastnka a zstatek) na tu
     */
    public void writeInfo() {
        super.writeInfo();
        System.out.println("Owner is " + owner);
    }
    
    public Person getOwner() {
        return owner;
    }

}
